Index: trunk/gsdl/macros/hebrew.dm
===================================================================
--- trunk/gsdl/macros/hebrew.dm	(revision 13302)
+++ trunk/gsdl/macros/hebrew.dm	(revision 13303)
@@ -18,4 +18,6 @@
 
 # -- Missing translation: _textperiodicals_
+
+# these three used by the default format statement of the demo and dls collections.
 # -- Missing translation: _textsource_
 # -- Missing translation: _textdate_
@@ -47,80 +49,78 @@
 # -- Missing translation: _textdescrusab_
 
+
+# Metadata names and navigation bar labels
+
+# -- Missing translation: _textSearch_
+_labelSearch_ [l=he] {××€×©}
+
+# Dublin Core Metadata Element Set, Version 1.1
+# -- Missing translation: _textTitle_
+_labelTitle_ [l=he] {×××ª×š××ª ×-×ª}
+# -- Missing translation: _textCreator_
+_labelCreator_ [l=he] {××××š×× ×-×ª}
+# -- Missing translation: _textSubject_
+_labelSubject_ [l=he] {× ××©×××}
+# -- Missing translation: _textDescription_
+# -- Missing translation: _labelDescription_
+# -- Missing translation: _textPublisher_
+# -- Missing translation: _labelPublisher_
+# -- Missing translation: _textContributor_
+# -- Missing translation: _labelContributor_
+# -- Missing translation: _textDate_
+_labelDate_ [l=he] {×ª××š××××}
+# -- Missing translation: _textType_
+# -- Missing translation: _labelType_
+# -- Missing translation: _textFormat_
+# -- Missing translation: _labelFormat_
+# -- Missing translation: _textIdentifier_
+# -- Missing translation: _labelIdentifier_
+# -- Missing translation: _textSource_
+# -- Missing translation: _labelSource_
+# -- Missing translation: _textLanguage_
+_labelLanguage_ [l=he] {×©×€×}
+# -- Missing translation: _textRelation_
+# -- Missing translation: _labelRelation_
+# -- Missing translation: _textCoverage_
+# -- Missing translation: _labelCoverage_
+# -- Missing translation: _textRights_
+# -- Missing translation: _labelRights_
+
+# DLS metadata set
+# -- Missing translation: _textOrganization_
+# -- Missing translation: _labelOrganization_
+# -- Missing translation: _textKeyword_
+# -- Missing translation: _labelKeyword_
+# -- Missing translation: _textHowto_
+# -- Missing translation: _labelHowto_
+
+# Miscellaneous Greenstone metadata
+# -- Missing translation: _textPhrase_
+_labelPhrase_ [l=he] {×××××××}
+# -- Missing translation: _textCollage_
+# -- Missing translation: _labelCollage_
+# -- Missing translation: _textBrowse_
+# -- Missing translation: _labelBrowse_
+# -- Missing translation: _textTo_
+_labelTo_ [l=he] {××¢×}
+# -- Missing translation: _textFrom_
+_labelFrom_ [l=he] {××§××š}
+# -- Missing translation: _textAcronym_
+_labelAcronym_ [l=he] {×š××©× ×ª××××ª}
+
+# Navigation bar tooltip - to customize this for a specific metadata, add a macro named _textdescrXXX_ where XXX is the metadata name
+# -- Missing translation: _textdescrdefault_
+
 _textdescrSearch_ [l=he] {××€×© ××× ××× ××××××§××}
-
-# Dublin Core Metadata Element Set, Version 1.1
-_textdescrTitle_ [l=he] {××€××£ ×××ª×š××ª ××€× ×-×}
-_textdescrCreator_ [l=he] {××€××£ ××××š×× ××€× ×-×}
-_textdescrSubject_ [l=he] {××€××£ ××€× × ××©×××}
-# -- Missing translation: _textdescrDescription_
-# -- Missing translation: _textdescrPublisher_
-# -- Missing translation: _textdescrContributor_
-_textdescrDate_ [l=he] {××€××£ ××€× ×ª××š××}
 # -- Missing translation: _textdescrType_
-# -- Missing translation: _textdescrFormat_
 # -- Missing translation: _textdescrIdentifier_
 # -- Missing translation: _textdescrSource_
-_textdescrLanguage_ [l=he] {××€××£ ××€× ×©×€×}
-# -- Missing translation: _textdescrRelation_
-# -- Missing translation: _textdescrCoverage_
-# -- Missing translation: _textdescrRights_
-
-_textdescrOrganization_ [l=he] {××€××£ ××€× ×××š××× ××}
-# -- Missing translation: _textdescrKeyword_
-_textdescrHowto_ [l=he] {××€××£ ××€× ×¡××š ×××Š×}
-_textdescrList_ [l=he] {××€××£ ××š×©×××ª ××¡××××}
-_textdescrSeries_ [l=he] {××€××£ ××€× ×¡××××š××}
 _textdescrTo_ [l=he] {××€××£ ××€× ×¡××š ×××¢×}
 _textdescrFrom_ [l=he] {××€××£ ××€× ×¡××š ××§××š××ª}
-_textdescrTopic_ [l=he] {××€××£ ××€× ×¡××××š×× ×××××××}
-_textdescrBrowse_ [l=he] {××€××£}
 # -- Missing translation: _textdescrCollage_
-_textdescrPeople_ [l=he] {××€××£ ×š×©×××ª ×× ×©×× ××€× ×-×}
 _textdescrAcronym_ [l=he] {××€××£ ×š××©× ×ª××××ª}
 _textdescrPhrase_ [l=he] {××€××£ ××××××××}
-# -- Missing translation: _textdescrArtist_
-# -- Missing translation: _textdescrVolume_
-# -- Missing translation: _textdescrCountries_
-# -- Missing translation: _textdescrCaptions_
-
-
-_labelSearch_ [l=he] {××€×©}
-
-# Dublin Core Metadata Element Set, Version 1.1
-_labelTitle_ [l=he] {×××ª×š××ª ×-×ª}
-_labelCreator_ [l=he] {××××š×× ×-×ª}
-_labelSubject_ [l=he] {× ××©×××}
-# -- Missing translation: _labelDescription_
-# -- Missing translation: _labelPublisher_
-# -- Missing translation: _labelContributor_
-_labelDate_ [l=he] {×ª××š××××}
-# -- Missing translation: _labelType_
-# -- Missing translation: _labelFormat_
-# -- Missing translation: _labelIdentifier_
-# -- Missing translation: _labelSource_
-_labelLanguage_ [l=he] {×©×€×}
-# -- Missing translation: _labelRelation_
-# -- Missing translation: _labelCoverage_
-# -- Missing translation: _labelRights_
-
-_labelOrg_ [l=he] {×××š×××}
-# -- Missing translation: _labelKeyword_
-_labelHow_ [l=he] {×××Š×}
-_labelSeries_ [l=he] {×¡××š××ª}
-_labelList_ [l=he] {×š×©××××ª}
-_labelTo_ [l=he] {××¢×}
-_labelFrom_ [l=he] {××§××š}
-_labelTopic_ [l=he] {×××ª×š××ª}
-_labelBrwse_ [l=he] {××€××£}
-# -- Missing translation: _labelCollage_
-# -- Missing translation: _labelBrows_
-_labelPeople_ [l=he] {×× ×©×× ×-×ª}
-_labelAcronym_ [l=he] {×š××©× ×ª××××ª}
-_labelPhrase_ [l=he] {×××××××}
-# -- Missing translation: _labelArtist_
-# -- Missing translation: _labelVolume_
-# -- Missing translation: _labelCaptions_
-# -- Missing translation: _labelCountries_
-
+_textdescrHowto_ [l=he] {××€××£ ××€× ×¡××š ×××Š×}
+_textdescrBrowse_ [l=he] {××€××£}
 _texticontext_ [l=he] {××Š× ××ª ×××¡××}
 _texticonclosedbook_ [l=he] {×€×ª× ××ª ×××¡×× ×××Š× ××ª ×ª××× ×}
@@ -177,4 +177,44 @@
 
 ######################################################################
+# 'home' page
+package home
+######################################################################
+
+# -- Missing translation: _textpagetitle_
+# -- Missing translation: _textadmin_
+# -- Missing translation: _textabgs_
+# -- Missing translation: _textgsdocs_
+
+# -- Missing translation: _textdescradmin_
+
+# -- Missing translation: _textdescrgogreenstone_
+
+# -- Missing translation: _textdescrgodocs_
+
+#####################################################################
+# some macros used on the home page from other packages
+#####################################################################
+package gli
+
+# -- Missing translation: _textgli_
+# -- Missing translation: _textdescrgli_
+
+package collector
+
+# -- Missing translation: _textcollector_
+# -- Missing translation: _textdescrcollector_
+
+package depositor
+
+# -- Missing translation: _textdepositor_
+# -- Missing translation: _textdescrdepositor_
+
+package gti
+
+# -- Missing translation: _textgti_
+# -- Missing translation: _textdescrtranslator_
+
+
+######################################################################
 # 'about' page
 package about
@@ -192,7 +232,5 @@
 # -- Missing translation: _textsubcols2_
 
-
 _titleabout_ [l=he] {××¢}
-
 
 
@@ -206,24 +244,4 @@
 # text macros
 #------------------------------------------------------------
-
-# Dublin Core Metadata Element Set, Version 1.1
-# -- Missing translation: _texticonhdesc_
-# -- Missing translation: _texticonhpubl_
-# -- Missing translation: _texticonhcontr_
-# -- Missing translation: _texticonhtype_
-# -- Missing translation: _texticonhform_
-# -- Missing translation: _texticonhident_
-# -- Missing translation: _texticonhsrc_
-# -- Missing translation: _texticonhrel_
-# -- Missing translation: _texticonhcover_
-# -- Missing translation: _texticonhright_
-
-# -- Missing translation: _texticonhcoll_
-# -- Missing translation: _texticonhbrows_
-# -- Missing translation: _texticonhartist_
-# -- Missing translation: _texticonhkw_
-# -- Missing translation: _texticonhvol_
-# -- Missing translation: _texticonhcapt_
-# -- Missing translation: _texticonhcount_
 
 _texticonopenbookshelf_ [l=he] {×¡×××š ××ª ××××§ ××× ×©× ××¡×€×š×××}
@@ -255,5 +273,5 @@
 _textintro_ [l=he] {<i>  (××××) </i> }
 
-_textCONTINUE_ [l=he] { " ×××©×××}
+_textCONTINUE_ [l=he] {" ×××©×××}
 
 _textEXPANDTEXT_ [l=he] {××××š××\n××¡×§×}
@@ -293,8 +311,5 @@
 _textranked_ [l=he] {×××§}
 _textnatural_ [l=he] {×××}
-#_textsome_ {_If_(_cgiargb_,ranked,some)}
-#_textall_ {_If_(_cgiargb_,boolean,all)}
-#_textformsome_ {_If_(_cgiargb_,ranked,some)}
-#_textformall_ {_If_(_cgiargb_,natural,all)}
+# -- Missing translation: _textsortbyrank_
 _texticonsearchhistorybar_ [l=he] {××¡×××š×××ª ×××€××©}
 
@@ -306,4 +321,6 @@
 _textpostprocess_ [l=he] {_If_(_quotedquery_,<br><i>××××š ×××××_quotedquery_</i>)}
 # -- Missing translation: _textinvalidquery_
+# -- Missing translation: _textstopwordsmsg_
+# -- Missing translation: _textlucenetoomanyclauses_
 
 _textmorethan_ [l=he] {-  ×××ª×š × }
@@ -318,5 +335,5 @@
 
 #these go together in form search:
-#"Word or phrase  (fold, stem)  ... in field"
+#"Words  (fold, stem)  ... in field"
 _textwordphrase_ [l=he] {×××× ×× ×××××}
 _textinfield_ [l=he] {...××©××}
@@ -338,10 +355,14 @@
 _textadvancedsearch_ [l=he] {××€×© ××ª _indexselection_ _If_(_jselection_, ×©×) _jselection_) _If_(_gselection_, _gselection_ ××š××)_If_(_nselection_, _nselection_ ××©×€×)  _querytypeselection_ ××©××××© ×©× ×©×××××}
 
+# -- Missing translation: _textadvancedmgppsearch_
+
+# -- Missing translation: _textadvancedlucenesearch_
+
 _textformsimplesearch_ [l=he] {××€×© ××ª _If_(_jselection_, _jselection_) _If_(_gformselection_, _gformselection_ ××š××) _If_(_nselection_, _nselection_ ××©×€×)
 _formquerytypesimpleselection_ ××©×š ×××××ª ××ª}
 
-_textformadvancedsearch_ [l=he] {××€×© ××ª  _If_(_jselection_,_jselection_)
-_If_(_gformselection_, _gformselection_ × ××š×× _If_(_nselection_, _nselection_ ××©×€×)}
-
+# -- Missing translation: _textformadvancedsearchmgpp_
+
+# -- Missing translation: _textformadvancedsearchlucene_
 
 # -- Missing translation: _textnojsformwarning_
@@ -396,4 +417,8 @@
 _textstem_ [l=he] {×××ª×¢×× ××¡××××ª ×××××}
 _textnostem_ [l=he] {×××× ×©××× ×Š×š××× ×××ª×××}
+# -- Missing translation: _textaccentdiffs_
+# -- Missing translation: _textignoreaccents_
+# -- Missing translation: _textmatchaccents_
+
 _textprefop_ [l=he] {×§××©××š×× _maxdocoption_ ××××š ×¢× }
 _textextlink_ [l=he] {××××Š×× ××× Web ×××©× ×××€×× }
@@ -415,4 +440,10 @@
 ×ª×ª ××××¡×€××  ××××<br>}
 
+# -- Missing translation: _textsearchtype_
+# -- Missing translation: _textformsearchtype_
+# -- Missing translation: _textplainsearchtype_
+# -- Missing translation: _textregularbox_
+# -- Missing translation: _textlargebox_
+
 _textrelateddocdisplay_ [l=he] {××Š× ××€×¡×× ×§×©××š××}
 _textsearchhistory_ [l=he] {:××¡×××š×××ª ×××€××©}
@@ -421,19 +452,4 @@
 _textnohistorydisplay_ [l=he] {×× ×××Š×× ××¡×××š×××ª ×××€××©}
 
-#_texttypesearch_ {Type of search:}
-#_texttextsearch_ {text search}
-_textformsearch_ [l=he] {×××€××©  ×Š××š××ª}
-# -- Missing translation: _textplainsearch_
-_textqueryboxsize_ [l=he] {×××× ×ª××š ××©××××ª××ª}
-_textregbox_ [l=he] {×ª××š ×š××× ×©× ××©××××ª××ª}
-_textbigbox_ [l=he] {×ª××š ××š×× ×©× ××©××××ª××ª}
-_textformtype_ [l=he] {×¡×× ××××××}
-_textsimple_ [l=he] {×€×©××}
-_textadvanced_ [l=he] {××ª×§××}
-
-# used in "with 4 fields" in the form search box
-_textwith_ [l=he] {×¢×}
-_textfields_ [l=he] {×©×××ª}
-
 
 #####################################################################
@@ -469,137 +485,16 @@
 
 _textHelp_ [l=he] {×¢××š×}
-_textSearchshort_ [l=he] {×××€××© ××××× ××¡×××××ª}
-
-
-# Dublin Core Metadata Element Set, Version 1.1
-_textTitleshort_ [l=he] {××© ×××Š××š××ª ××€× ×××ª×š×ª}
-_textCreatorshort_ [l=he] {××© ×××Š××š××ª ××€× ××××š}
-_textSubjectshort_ [l=he] {××© ×××Š××š××ª ××€× × ××©×}
-# -- Missing translation: _textDescriptionshort_
-# -- Missing translation: _textPublishershort_
-# -- Missing translation: _textContributorshort_
-_textDateshort_ [l=he] {××© ×××Š××š××ª ××€× ×ª××š××}
-# -- Missing translation: _textTypeshort_
-# -- Missing translation: _textFormatshort_
-# -- Missing translation: _textIdentifiershort_
-# -- Missing translation: _textSourceshort_
-_textLanguageshort_ [l=he] {××© ×××Š××š××ª ××€× ×©×€×}
-# -- Missing translation: _textRelationshort_
-# -- Missing translation: _textCoverageshort_
-# -- Missing translation: _textRightsshort_
-
-_textSeriesshort_ [l=he] {××© ×××Š××š××ª ××€× ×¡××š××ª}
-_textToshort_ [l=he] {××© ×××Š××š××ª ××€× ×©×× "××¢×"}
-_textFromshort_ [l=he] {××© ×××Š××š××ª ××€× ×©×× "××§××š"}
-_textBrowseshort_ [l=he] {××Š××š××ª ×××× ××¡}
-_textOrganizationshort_ [l=he] {××© ×××Š××š××ª ××€× ×××š×××}
-_textHowtoshort_ [l=he] {××© ×××Š××š××ª ××€× ×š×©×××}
-_textTopicshort_ [l=he] {××© ×××Š××š××ª ××€× × ××©×}
-_textPeopleshort_ [l=he] {××© ×××Š××š××ª ××€× ×× ×©××}
-_textAcronymshort_ [l=he] {××© ×××Š××š××ª ××€× ×š××©× ×ª××××ª}
-_textPhraseshort_ [l=he] {××× ×¡ ×××××× ×××€××¢×× ×××Š××š××ª}
-# -- Missing translation: _textArtistshort_
-# -- Missing translation: _textKeywordshort_
-# -- Missing translation: _textVolumeshort_
-# -- Missing translation: _textCountriesshort_
-_textdefaultshorttext_ [l=he] {××××× ×× ×××××š}
-
-_textSearchlong_ [l=he] {<p> ×©××¢×××. <i> "×××€××©" </I> ××ª× ×××× ×××€×©  ×××××  ××¡××××××ª ×××§×¡××× ×××××Š× ×¢× ××€×ª××š 
-  ×× ×××£ ××š××©××  ××©×š ×¢×××  ×××©×š ××ª× ××ª×××  ×××€×©×š ×××××š ××××  ×××××Š×ª ××€×ª××š}
-
-
-# Dublin Core Metadata Element Set, Version 1.1
-
-_textTitlelong_ [l=he] {<p>  <i> ×××ª×š××ª </i> ××ª× ×××× ×××©×ª ×××Š××š××ª ××€× ×××ª×š××ª ×××××Š×  ×¢× ××€×ª××š
-×× ××¢×× ××ª ×š×©×××ª ×××Š××š××ª ××€× ×-× ×©× ×××ª×š××ª 
-}
-
-# Not true DC, kept for legacy reasons
-_textCreatorlong_ [l=he] {<p> <I> ××××š××  ×-×ª  </i>   ××ª× ×××× ×××©×ª ×××Š××š××ª ××€× ××××š×× ×××××Š×  ×¢× ××€×ª××š
-×× ××¢×× ××ª ×š×©×××ª ×××Š××š××ª ×××××× ××ª ××€× ×-× ×©× ×©×××ª ××©×€×× ×©× ××××š××}
-
-_textSubjectlong_ [l=he] {<p>  <i> × ××©××× </I>  ××ª× ×××× ×××©×ª ×××Š××š××ª ××€× × ××©××× ×××××Š×  ×¢× ××€×ª××š ×× ××¢×× ××ª ×š×©×××ª ×× ××©×××, ××××Š××× ×¢"× ×××€× ×¡×€×š××
-}
-
-# -- Missing translation: _textDescriptionlong_
-
-# -- Missing translation: _textPublisherlong_
-
-# -- Missing translation: _textContributorlong_
-
-_textDatelong_ [l=he] {<p>  <i> ×ª××š×× </I>××ª× ×××× ×××©×ª ×××Š××š××ª ××€× ×ª××š×× ×××××Š×  ×¢× ××€×ª××š 
-×× ××¢×× ××ª ×š×©×××ª ×××Š××š××ª ××¡×××š××ª ××××€× ××š×× ××××× }
-
-# -- Missing translation: _textTypelong_
-
-# -- Missing translation: _textFormatlong_
-
-# -- Missing translation: _textIdentifierlong_
-
-# Not true DC, kept for legacy reasons
-# -- Missing translation: _textSourcelong_
-
-_textLanguagelong_ [l=he] {<p>  <i> ×©×€× </I> ××ª× ×××× ×××©×ª ×××Š××š××ª ××€× ×©×€××ª ×××××Š×  ×¢× ××€×ª××š 
- ×× ××¢×× ××ª ×š×©×××ª ××× ××¡××ª ××¡×××š××ª ××€× ×©×€××ª
-}
-
-# -- Missing translation: _textRelationlong_
-
-# -- Missing translation: _textCoveragelong_
-
-# -- Missing translation: _textRightslong_
-
-
-
-_textOrganizationlong_ [l=he] {<p> < i>×××š××× ××</i>  ××ª× ×××× ×××©×ª ×××Š××š××ª ××€×  ×××š××× ×× ×××××Š×  ×¢× ××€×ª××š
- ×× ××¢×× ××ª ×š×©×××ª ×××Š××š××ª ××€× ×××š××× ××}
-
-_textHowtolong_ [l=he] {<p><I> ×××Š× </i>××ª× ×××× ×××©×ª ×××Š××š××ª ××€× ×¡××š ×××Š× ×××××Š×  ×¢×  ××€×ª××š 
-<I> ×××Š×</i>  ×× ××¢×× ××ª ×š×©×××ª ×××Š××š××ª ××€× ×¡××š 
-}
-
-_textTopiclong_ [l=he] {<p>  <i> ×¡××××š×× ×××××××  </I> ××ª× ×××× ×××©×ª ×××Š××š××ª ××€× ×¡××××š×× ××××××× ×××××Š× ×¢× ××€×ª××š
- ×× ××¢×× ××ª ×š×©×××ª ××¡××××š×× ×××€×××£
-}
-
-_textTolong_ [l=he] {<p>  <i> ××× </I>  ××ª× ×××× ×××©×ª ×××Š××š××ª ××€× ×©×× ××× ×××××Š×  ×¢× ××€×ª××š
-  ×× ××¢×× ××ª ×š×©×××ª  ××××ª×š××ª    
-}
-
-_textFromlong_ [l=he] {<p>  <i> ××¢× </I>  ××ª× ×××× ×××©×ª ×××Š××š××ª ××€× ××¢× ×× ×××××Š×  ×¢× ××€×ª××š
-×× ××¢×× ××ª ×š×©×××ª ××©××××× 
-}
-
-_textSerieslong_ [l=he] {<p>  <i> ×¡××š××ª </I> ××ª× ×××× ×××©×ª ×××Š××š××ª ××€× ×¡××š××ª ×××××Š×  ×¢× ××€×ª××š 
-  ×× ××¢×× ××ª ×š×©×××ª ××¡××š××ª ×©××© ××××¡×£
-}
-
-_textBrowselong_ [l=he] {<p> <i>××€××£</I> ××ª× ×××× ×××€××£ ×××Š××š××ª ×××××Š×  ×¢× ××€×ª××š  }
-
-_textPeoplelong_ [l=he] {<p>  <i> ×× ×©×× </I> ××ª× ×××× ×××©×ª ×××Š××š××ª ××€×  ×× ×©×× ×××××Š×  ×¢× ××€×ª××š 
- ×× ××¢×× ××ª ×š×©×××ª ××× ××¡××ª ××€× ×©×××ª ××©×€××
-}
-
-_textAcronymlong_ [l=he] {<p>  <i> ×š××©× ×ª××××ª </I>  ××ª× ×××× ×××©×ª ×××Š××š××ª ××€× ×š××©× ×ª××××ª ×××××Š×  ×¢× ××€×ª××š  
- ×× ××¢×× ××ª ×š××©× ×ª××××ª ×××§×× ××××Š××
-}
-
-_textPhraselong_ [l=he] {<p>  <i>××××××</I>  ××ª× ×××× ×××©×ª ××××××× ××¡××××× ××©×š ×××€×¢×× ×××Š××š××ª ×××××Š×  ×¢× ××€×ª××š </I> 
-   ×× ××¢×× ××€××€× ×©× ×××××× }
-
-# -- Missing translation: _textArtistlong_
-
-# -- Missing translation: _textKeywordlong_
-
-# -- Missing translation: _textVolumelong_
-
-# -- Missing translation: _textCaptionslong_
-
-# -- Missing translation: _textCountrieslong_
-
-
-_textdefaultlongtext_ [l=he] {<p> ××× ××š×××ª ××Š××š××ª ×¢× ×€×š××× ××¡×š×× ×× ×× ××××¢×× <i> ×× ××××¢</I>  ×××¥ ×¢× ××€×ª××š  
-  (××Š××ª ××××× ××€× ×©×××ª ×× ××××¢××)
-}
+
+# Macros giving a brief help message for navigation bar access buttons
+# The arguments to this will be _textXXX_ and _labelXXX_, where XXX is the metadata name. For example, to print out the help message for a titles classifier, the library will use _textdefaulthelp_(_textTitle_,_labelTitle_)
+# To customize this for a specific metadata, add a macro named _textXXXhelp_ where XXX is the metadata name
+# -- Missing translation: _textdefaulthelp_
+
+# -- Missing translation: _textSearchhelp_
+# -- Missing translation: _textTohelp_
+# -- Missing translation: _textFromhelp_
+# -- Missing translation: _textBrowsehelp_
+# -- Missing translation: _textAcronymhelp_
+# -- Missing translation: _textPhrasehelp_
 
 _texthelptopicstitle_ [l=he] {× ××©×××}
@@ -607,6 +502,5 @@
 _textreadingdocs_ [l=he] {××× ××§×š×× ××¡××××}
 
-_texthelpreadingdocs_ [l=he] {
-<p>××€×©×š ×××¢×ª ×× ×××¢×ª ×××¡×× ×××× ××××× ×©××××ª×š×ª ××××××š
+_texthelpreadingdocs_ [l=he] {<p>××€×©×š ×××¢×ª ×× ×××¢×ª ×××¡×× ×××× ××××× ×©××××ª×š×ª ××××××š
 ×××€××¢×× ××€×× × ×©×××××ª ×¢×××× × ×©× ××¢×××. ×××¥ ××× ××© ××ª ××¡×€×š  ××¢×××
 ×× ××××, ×ª××× ××××€×©×š×ª ××××š×ª ×¢××× ×××© ×××Š×× ×§×××× ×××××š×
@@ -625,17 +519,17 @@
 
 # help about the icons
-_texthelpopenbookshelf_ [l=he] {×€×ª× ××ª ×××£ ××¡×€×š××} 
+_texthelpopenbookshelf_ [l=he] {×€×ª× ××ª ×××£ ××¡×€×š××}
 _texthelpopenbook_ [l=he] {×€×ª×/×¡×××š ××ª ××¡×€×š}
-_texthelpviewtextsection_ [l=he] {×Š×€× ××××§ ××× ×©× ×××¡××} 
+_texthelpviewtextsection_ [l=he] {×Š×€× ××××§ ××× ×©× ×××¡××}
 _texthelpexpandtext_ [l=he] {××Š×/×× ×ª×Š×× ××ª ×××§×¡× ××××}
-_texthelpexpandcontents_ [l=he] {×× ×¡ ××ª×××} 
+_texthelpexpandcontents_ [l=he] {×× ×¡ ××ª×××}
 _texthelpdetachpage_ [l=he] {×€×ª× ×¢××× ×× ××××× ×××©}
 _texthelphighlight_ [l=he] {××× ×× ×××€××© ×××××©××/×× ×××××©××}
-_texthelpsectionarrows_ [l=he] {×¢×××š ××€×š×§ ×××/××§×××} 
+_texthelpsectionarrows_ [l=he] {×¢×××š ××€×š×§ ×××/××§×××}
+
 
 _texthelpsearchingtitle_ [l=he] {××× ×××Š×× ××××× ××¡××××××ª }
 
-_texthelpsearching_ [l=he] {
-<p>
+_texthelpsearching_ [l=he] {<p>
  :××¢××× ××©××××ª× , ×××××š×× ××ª ××©××××ª× ×××¡×€×š ×Š×¢××× ×€×©××××<p>
   
@@ -656,6 +550,6 @@
 }
 
-_texthelpqueryterms_ [l=he] {
-<p>×× ×©×××× ×¡ ×××§×¡× ××©××××ª× ×××¢×× ××š×©××× ×©× ××××× 
+# -- Missing translation: _texthelpquerytermstitle_
+_texthelpqueryterms_ [l=he] {<p>×× ×©×××× ×¡ ×××§×¡× ××©××××ª× ×××¢×× ××š×©××× ×©× ××××× 
 ×× ×§×š×××ª "××× ×× ×××€××©". ×× ××× × ×××× ×š×§ ×××ª×××ª ×××¡×€×š××. 
 ×××× ××× ×××€×š××× ×¢"× ×š×××. ×× ×¡××× × ×€××¡××§ ×××€××¢××ª ××ª×× ××××××, ××
@@ -670,7 +564,10 @@
 }
 
+# -- Missing translation: _texthelpmgppsearching_
+
+# -- Missing translation: _texthelplucenesearching_
+
 _texthelpquerytypetitle_ [l=he] {×¡××× ×©××××ª××ª}
-_texthelpquerytype_ [l=he] {
-<p>××©× × ×©× × ×¡××× ×©××××ª××ª
+_texthelpquerytype_ [l=he] {<p>××©× × ×©× × ×¡××× ×©××××ª××ª
 
 <ul>
@@ -695,8 +592,27 @@
 }
 
+# -- Missing translation: _texthelpadvancedsearchtitle_
+
+# -- Missing translation: _texthelpadvancedsearch_
+
+# -- Missing translation: _texthelpadvsearchmg_
+
+# -- Missing translation: _texthelpbooleansearch_
+
+# -- Missing translation: _texthelpadvsearchmgpp_
+
+# -- Missing translation: _texthelpadvancedsearchextra_
+
+# -- Missing translation: _texthelpadvsearchlucene_
+
+# -- Missing translation: _texthelpformsearchtitle_
+
+# -- Missing translation: _texthelpformsearch_
+
+# -- Missing translation: _texthelpformstemming_
+
 _textdatesearch_ [l=he] {×××€××© ×¢× ×ª××š××××}
 
-_texthelpdatesearch_ [l=he] {
-×××€××© ×¢× ×ª××š×××× × ××ª× ××€×©×š××ª ××§×× ×€×š×××× ××©×š ×××¥ ××× ×©××ª×××××
+_texthelpdatesearch_ [l=he] {×××€××© ×¢× ×ª××š×××× × ××ª× ××€×©×š××ª ××§×× ×€×š×××× ××©×š ×××¥ ××× ×©××ª×××××
 ×××× ×× ×××€××© ×× ××©×ª××××× ×××× ××¡××××. ××€×©×š ×××€×© ××€× ×©× × ××¡×××××ª ×× ×š×Š×£ ×©× ×©× ××
 ××€×©×š ×××ª×©××© ××××€××© ××€× ×ª××š×× ×× ××× ××× ×× ×××€××©: ××€×š×××× ×©×××××š× ××©×ª×××× ××š×Š×£ ×××× ××××××š
@@ -706,6 +622,5 @@
 
 _texthelpdatehowtotitle_ [l=he] {××× ×××©×ª××© ××××€××©}
-_texthelpdatehowto_ [l=he] {
-<ul>
+_texthelpdatehowto_ [l=he] {<ul>
 <p><li>×××€×© ×××š ××¡×× ××©× × ××¡×××××ª
 <ul>
@@ -727,19 +642,15 @@
 
 _texthelpdateresultstitle_ [l=he] {××š× ×©×× ××××€××© ×€××¢×}
-_texthelpdateresults_ [l=he] {
-<p> ×××€×©×× ××¡×××× ×©× ××ª×× × - 1903, ××š×× × ×§×× ××¡×××× ×¢× ××©× × ××× ××× ××©×š × ××ª×× ××©× × ×× "×
+_texthelpdateresults_ [l=he] {<p> ×××€×©×× ××¡×××× ×©× ××ª×× × - 1903, ××š×× × ×§×× ××¡×××× ×¢× ××©× × ××× ××× ××©×š × ××ª×× ××©× × ×× "×
 }
 
 _textchangeprefs_ [l=he] {×©×× ×× ×¢×××€××××ª}
 
-_texthelppreferences_ [l=he] {
-<p>×× ×ª×××¥ ×¢× ××€×ª××š "×¢×××€××××ª" ××ª××××ª ×××£ , ×ª××× ×× ××€×©×š××ª ××©× ××ª
+_texthelppreferences_ [l=he] {<p>×× ×ª×××¥ ×¢× ××€×ª××š "×¢×××€××××ª" ××ª××××ª ×××£ , ×ª××× ×× ××€×©×š××ª ××©× ××ª
 ××ª ×€×¢××××ª ×× ××××©×§ ×× ×©××ª××× ××Š×š×××
 }
 
-
 _texthelpcollectionprefstitle_ [l=he] {×¢×××€××××ª ××××¡×£}
-_texthelpcollectionprefs_ [l=he] {
-××©× × ×××¡×€×× ××××š×××× ×××× ×ª×ª-×××¡×€×× , ××©×š × ××ª× ×× ××¢××× ×××××€××© 
+_texthelpcollectionprefs_ [l=he] {××©× × ×××¡×€×× ××××š×××× ×××× ×ª×ª-×××¡×€×× , ××©×š × ××ª× ×× ××¢××× ×××××€××© 
 ×× ×€×š× ×× ××××, ×××××× ×××ª. ×× ×× ××××š , ××¢××× ××¢×××€××××ª × ××ª×
  ××¡×× ×××× ×××ª×ª-×××¡×€×× ××© ×××××× ××××€××©
@@ -747,12 +658,10 @@
 
 _texthelplanguageprefstitle_ [l=he] {×©×€× ×¢×××€××××ª }
-_texthelplanguageprefs_ [l=he] {
-×× ×××¡×£ × ×× × ×¢×××š ×©×€× ××¡×××××ª , ×× × ××ª× ××©× ××ª ×××ª
+_texthelplanguageprefs_ [l=he] {×× ×××¡×£ × ×× × ×¢×××š ×©×€× ××¡×××××ª , ×× × ××ª× ××©× ××ª ×××ª
 ××× ×× ××€×©×š ××©× ××ª ××× ×××Š×× ××š×€× ××××Š×× ××§×¡× ××š×××
 }
 
 _texthelppresentationprefstitle_ [l=he] {×¢×××€××××ª ×ª×Š×××}
-_texthelppresentationprefs_ [l=he] {
-×××ª×× ××××¡×£ ×× ×ª×× ××©× × ××× ××š××× ××©× ××ª ××ª ×ª×Š×××ª×
+_texthelppresentationprefs_ [l=he] {×××ª×× ××××¡×£ ×× ×ª×× ××©× × ××× ××š××× ××©× ××ª ××ª ×ª×Š×××ª×
 
 
@@ -764,8 +673,6 @@
 }
 
-
 _texthelpsearchprefstitle_ [l=he] {×¢×××€××××ª ×××€××©}
-_texthelpsearchprefs_ [l=he] {
-<p>×©× × ×××××ª ××€×ª××š×× ×©××××× ×¢× ×¢×××€××××ª ××××€××©:
+_texthelpsearchprefs_ [l=he] {<p>×©× × ×××××ª ××€×ª××š×× ×©××××× ×¢× ×¢×××€××××ª ××××€××©:
 ×××× ××š××©×× ××× × ×š×××× ×× ××©×€× ××¢××š××ª ( ×××ª×××ª ××××××ª ××§×× ××ª)
 ×××× ××©× × ×©××× ××× ×¡×××××ª ×××××× ×××××× ××××€××©.
@@ -787,4 +694,18 @@
 }
 
+# -- Missing translation: _textcasefoldprefs_
+# -- Missing translation: _textstemprefs_
+# -- Missing translation: _textaccentfoldprefs_
+ 
+# -- Missing translation: _textstemoptionsprefs_
+
+# -- Missing translation: _textsearchtypeprefsplain_
+
+# -- Missing translation: _textsearchtypeprefsform_
+
+# -- Missing translation: _textsearchtypeprefsboth_
+
+
+
 _texttanumbrowseoptions_ [l=he] {××š××× ×××Š×× ××ª ×××××¢ ××××¡×£ ×× "×  _numbrowseoptions_ ××©
 }
@@ -793,6 +714,5 @@
 
 _texthelpscopetitle_ [l=he] {×¡×××š×ª ×©××××ª××ª}
-_texthelpscope_ [l=he] {
-<p>
+_texthelpscope_ [l=he] {<p>
 ××š×× ××××¡×€×× × ××ª× ×××××š ××× ××¡×€×š ××× ××§×¡×× ××××€××©. ×××××× ×××× ×××××ª ××× ××§×¡ ×©× ××××š××
  ×× ×××ª×š××ª, ×× ×××× ×××××ª ××× ××§×¡ ×©× ×€×š×§××, ×× ×©× ×€×¡×§×××ª. ×××××ª, ×××××š× ×××¡×××× ××××××
